# Class Mark

java.lang.Object
org.apache.jasper.compiler.Mark

public final class Mark extends Object
Mark represents a point in the JSP input.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object other)`
  `int`
  `getColumnNumber()`
  `String`
  `getFile()`
  `int`
  `getLineNumber()`
  `URL`
  `getURL()`
  Gets the URL of the resource with which this Mark is associated
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### getLineNumber

    public int getLineNumber()

  - ### getColumnNumber

    public int getColumnNumber()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getFile

    public String getFile()

  - ### getURL

    public URL getURL() throws MalformedURLException
    Gets the URL of the resource with which this Mark is associated
    Returns:
      URL of the resource with which this Mark is associated
    Throws:
      `MalformedURLException` - if the resource pathname is incorrect

  - ### equals

    public boolean equals(Object other)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`